from machine import Pin
import time

print("testLeds_pico.py")
print("by PiCole22 on 2021EMay20")
print(" pronounced 'pickle 22'")
print("testing the Maker Pi Pico board by Cytron")
print("The small green 3V3 led should always be ON")
led=Pin(25,Pin.OUT)
led.value(1)
print("turning green pico led ON")
i=0
print("turning each GPxx blue led ON (1/sec)")
while i<28:
    i=i+1
    led1=Pin(i,Pin.OUT)
    led1.value(1)
    time.sleep(1) # 1sec
#end while
print("Please check if all leds are ON")
i=0
print("turning each GPxx blue led OFF (1/sec)")
while i<28:
    i=i+1
    led1=Pin(i,Pin.OUT)
    led1.value(0)
    time.sleep(1) # 1sec
#end while
print("Please check if all leds are OFF")
led=Pin(25,Pin.OUT)
led.value(1)
print("turning green pico led ON")
time.sleep(1) # 1sec
led=Pin(25,Pin.OUT)
led.value(0)
print("turning green pico led OFF")
print("end of testLeds.py")
#end testLeds.py